Skip to main content
POST
/
v6
/
timeTracking
/
tasks
Save tasks
curl --request POST \
  --url https://sandbox.tight.com/v6/timeTracking/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "id": "tmt_28868401",
      "description": "Development work",
      "status": "ACTIVE",
      "billableRate": 15000,
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ]
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "result": "SUCCESS",
      "statusCode": 200,
      "data": {
        "id": "tmt_28868401",
        "description": "Development work",
        "status": "ACTIVE",
        "billableRate": 15000,
        "customData": {
          "internal_key": "some_internal_key",
          "some_other_field": 23434
        }
      },
      "error": [
        {
          "type": "UNKNOWN_ERROR",
          "message": "<string>",
          "param": "<string>"
        }
      ]
    }
  ],
  "error": [
    {
      "type": "UNKNOWN_ERROR",
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
data
object[]
required

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

error
object[]